View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/gimp
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2018-11-09 17:48:42 UTC 2018-11-09
DSC file for 2.10.8-1

Author: Ubuntu Git Importer
Author Date: 2018-11-09 17:48:42 UTC

DSC file for 2.10.8-1

importer/debian/dsc 2018-11-09 16:43:33 UTC 2018-11-09
DSC file for 2.10.8-1

Author: Ubuntu Git Importer
Author Date: 2018-11-09 16:43:33 UTC

DSC file for 2.10.8-1

ubuntu/disco-devel 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-unapplied version 2.10.8-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-unapplied version 2.10.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b1b99264d06c3f985bc5a190d02c5959637fe25f

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

applied/debian/sid 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-applied version 2.10.8-1 to applied/debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-applied version 2.10.8-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b30a1a24fe4ef316c47be53b9eece32465cb00af
Unapplied parent: 55fbef5f7091c0585c3957777278bb6ca9332c32

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

ubuntu/disco 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-unapplied version 2.10.8-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-unapplied version 2.10.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b1b99264d06c3f985bc5a190d02c5959637fe25f

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

ubuntu/devel 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-unapplied version 2.10.8-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-unapplied version 2.10.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b1b99264d06c3f985bc5a190d02c5959637fe25f

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

applied/debian/buster 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-applied version 2.10.8-1 to applied/debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-applied version 2.10.8-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: b30a1a24fe4ef316c47be53b9eece32465cb00af
Unapplied parent: 55fbef5f7091c0585c3957777278bb6ca9332c32

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

ubuntu/disco-proposed 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-unapplied version 2.10.8-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-unapplied version 2.10.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b1b99264d06c3f985bc5a190d02c5959637fe25f

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

debian/sid 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-unapplied version 2.10.8-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-unapplied version 2.10.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b1b99264d06c3f985bc5a190d02c5959637fe25f

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

debian/buster 2018-11-09 16:32:18 UTC 2018-11-09
Import patches-unapplied version 2.10.8-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-11-09 11:45:45 UTC

Import patches-unapplied version 2.10.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b1b99264d06c3f985bc5a190d02c5959637fe25f

New changelog entries:
  * New upstream release
  * Bump minimum babl to 0.1.58 and gegl to 0.4.12

ubuntu/cosmic 2018-09-04 22:33:02 UTC 2018-09-04
Import patches-unapplied version 2.10.6-3 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-09-04 19:08:42 UTC

Import patches-unapplied version 2.10.6-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 01f952e86fdbb3c4d669da0beee1807a89bfc288

New changelog entries:
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

ubuntu/cosmic-proposed 2018-09-04 22:33:02 UTC 2018-09-04
Import patches-unapplied version 2.10.6-3 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-09-04 19:08:42 UTC

Import patches-unapplied version 2.10.6-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 01f952e86fdbb3c4d669da0beee1807a89bfc288

New changelog entries:
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

ubuntu/cosmic-devel 2018-09-04 22:33:02 UTC 2018-09-04
Import patches-unapplied version 2.10.6-3 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-09-04 19:08:42 UTC

Import patches-unapplied version 2.10.6-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 01f952e86fdbb3c4d669da0beee1807a89bfc288

New changelog entries:
  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

debian/jessie 2018-06-23 17:11:44 UTC 2018-06-23
Import patches-unapplied version 2.8.14-1+deb8u2 to debian/jessie

Author: Salvatore Bonaccorso
Author Date: 2017-12-26 21:55:07 UTC

Import patches-unapplied version 2.8.14-1+deb8u2 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: 39995f888636c10ccfe2dfe8c632b267eeda7244

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Out of bounds read / heap overflow in TGA importer (CVE-2017-17786)
    (Closes: #884862)
  * plug-ins: TGA 16-bit RGB (without alpha bit) is also valid
  * Heap buffer overflow in PSP importer (CVE-2017-17789) (Closes: #884837)
  * heap overread in gbr parser / load_image (CVE-2017-17784)
    (Closes: #884925)
  * heap overread in psp importer (CVE-2017-17787) (Closes: #884927)
  * Heap overflow while parsing FLI files (CVE-2017-17785) (Closes: #884836)
  * buffer overread in XCF parser if version field has no null terminator
    (CVE-2017-17788) (Closes: #885347)

applied/debian/jessie 2018-06-23 17:11:44 UTC 2018-06-23
Import patches-applied version 2.8.14-1+deb8u2 to applied/debian/jessie

Author: Salvatore Bonaccorso
Author Date: 2017-12-26 21:55:07 UTC

Import patches-applied version 2.8.14-1+deb8u2 to applied/debian/jessie

Imported using git-ubuntu import.

Changelog parent: 8e4144e87c33249de4042eba230fd3ac40e7e330
Unapplied parent: 74d8bc0f505145d947c154a20e4247d4d27df7db

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Out of bounds read / heap overflow in TGA importer (CVE-2017-17786)
    (Closes: #884862)
  * plug-ins: TGA 16-bit RGB (without alpha bit) is also valid
  * Heap buffer overflow in PSP importer (CVE-2017-17789) (Closes: #884837)
  * heap overread in gbr parser / load_image (CVE-2017-17784)
    (Closes: #884925)
  * heap overread in psp importer (CVE-2017-17787) (Closes: #884927)
  * Heap overflow while parsing FLI files (CVE-2017-17785) (Closes: #884836)
  * buffer overread in XCF parser if version field has no null terminator
    (CVE-2017-17788) (Closes: #885347)

debian/experimental 2018-04-22 16:28:20 UTC 2018-04-22
Import patches-unapplied version 2.10.0~RC2-1 to debian/experimental

Author: Jeremy Bicha
Author Date: 2018-04-19 19:36:56 UTC

Import patches-unapplied version 2.10.0~RC2-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: f2d51eb1f07964d3faf13ebb3df0f578317067f6

New changelog entries:
  [ Jeremy Bicha ]
  * New upstream release candidate (Closes: #887717)
  * Bump minimum babl and gegl versions
  * Add Breaks/Replaces for file that used to be in gimp-plugin-registry
    (Closes: #895387)
  * debian/libgimp2.0.symbols: Add new symbols
  * debian/gimp.install: Update for new AppStream metadata location
  * Bump Standards-Version to 4.1.4
  [ Michael Biebl ]
  * Split python extension into separate suggested gimp-python package

applied/debian/experimental 2018-04-22 16:28:20 UTC 2018-04-22
Import patches-applied version 2.10.0~RC2-1 to applied/debian/experimental

Author: Jeremy Bicha
Author Date: 2018-04-19 19:36:56 UTC

Import patches-applied version 2.10.0~RC2-1 to applied/debian/experimental

Imported using git-ubuntu import.

Changelog parent: bc47019ff5f5357f57b8e3e55ec4b30d55fd4325
Unapplied parent: e739df6ad65c0ed7dfb8913fd5e079e2166b64dd

New changelog entries:
  [ Jeremy Bicha ]
  * New upstream release candidate (Closes: #887717)
  * Bump minimum babl and gegl versions
  * Add Breaks/Replaces for file that used to be in gimp-plugin-registry
    (Closes: #895387)
  * debian/libgimp2.0.symbols: Add new symbols
  * debian/gimp.install: Update for new AppStream metadata location
  * Bump Standards-Version to 4.1.4
  [ Michael Biebl ]
  * Split python extension into separate suggested gimp-python package

importer/ubuntu/pristine-tar 2018-04-07 13:26:06 UTC 2018-04-07
pristine-tar data for gimp_2.6.7.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-04-07 13:26:06 UTC

pristine-tar data for gimp_2.6.7.orig.tar.gz

importer/debian/pristine-tar 2018-04-07 01:43:21 UTC 2018-04-07
pristine-tar data for gimp_2.6.7.orig.tar.gz

Author: Ubuntu Git Importer
Author Date: 2018-04-07 01:43:21 UTC

pristine-tar data for gimp_2.6.7.orig.tar.gz

ubuntu/bionic-proposed 2018-03-28 22:29:18 UTC 2018-03-28
Import patches-unapplied version 2.8.22-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-03-28 16:21:18 UTC

Import patches-unapplied version 2.8.22-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7b34bf35284965df6b85321111ec73e85e0a3966

New changelog entries:
  * New upstream release (Closes: #870568, #885382, CVE-2007-3126)
    (LP: #1690544)
  * Switch maintainer to Debian GNOME Team, with Ari's permission
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop old Breaks/Conflicts/Replaces not needed since Wheezy
  * Drop obsolete menu and .xpm files
  * Switch from cdbs to dh
  * Bump debhelper compat to 11

ubuntu/bionic 2018-03-28 22:29:18 UTC 2018-03-28
Import patches-unapplied version 2.8.22-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-03-28 16:21:18 UTC

Import patches-unapplied version 2.8.22-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7b34bf35284965df6b85321111ec73e85e0a3966

New changelog entries:
  * New upstream release (Closes: #870568, #885382, CVE-2007-3126)
    (LP: #1690544)
  * Switch maintainer to Debian GNOME Team, with Ari's permission
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop old Breaks/Conflicts/Replaces not needed since Wheezy
  * Drop obsolete menu and .xpm files
  * Switch from cdbs to dh
  * Bump debhelper compat to 11

ubuntu/bionic-devel 2018-03-28 22:29:18 UTC 2018-03-28
Import patches-unapplied version 2.8.22-1 to debian/sid

Author: Jeremy Bicha
Author Date: 2018-03-28 16:21:18 UTC

Import patches-unapplied version 2.8.22-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 7b34bf35284965df6b85321111ec73e85e0a3966

New changelog entries:
  * New upstream release (Closes: #870568, #885382, CVE-2007-3126)
    (LP: #1690544)
  * Switch maintainer to Debian GNOME Team, with Ari's permission
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop old Breaks/Conflicts/Replaces not needed since Wheezy
  * Drop obsolete menu and .xpm files
  * Switch from cdbs to dh
  * Bump debhelper compat to 11

debian/stretch 2018-03-10 16:55:22 UTC 2018-03-10
Import patches-unapplied version 2.8.18-1+deb9u1 to debian/stretch

Author: Salvatore Bonaccorso
Author Date: 2017-12-26 21:39:04 UTC

Import patches-unapplied version 2.8.18-1+deb9u1 to debian/stretch

Imported using git-ubuntu import.

Changelog parent: c59b3c05df1054608cd8dee43d56993f887a9699

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Out of bounds read / heap overflow in TGA importer (CVE-2017-17786)
    (Closes: #884862)
  * plug-ins: TGA 16-bit RGB (without alpha bit) is also valid
  * Heap buffer overflow in PSP importer (CVE-2017-17789) (Closes: #884837)
  * heap overread in gbr parser / load_image (CVE-2017-17784)
    (Closes: #884925)
  * heap overread in psp importer (CVE-2017-17787) (Closes: #884927)
  * Heap overflow while parsing FLI files (CVE-2017-17785) (Closes: #884836)
  * buffer overread in XCF parser if version field has no null terminator
    (CVE-2017-17788) (Closes: #885347)

applied/debian/stretch 2018-03-10 16:55:22 UTC 2018-03-10
Import patches-applied version 2.8.18-1+deb9u1 to applied/debian/stretch

Author: Salvatore Bonaccorso
Author Date: 2017-12-26 21:39:04 UTC

Import patches-applied version 2.8.18-1+deb9u1 to applied/debian/stretch

Imported using git-ubuntu import.

Changelog parent: 9f1cc2cd9fea32295da0a77ec6f2c22589c79455
Unapplied parent: 84d42881209c651e239ae0e872caa6ca47be9ac9

New changelog entries:
  * Non-maintainer upload by the Security Team.
  * Out of bounds read / heap overflow in TGA importer (CVE-2017-17786)
    (Closes: #884862)
  * plug-ins: TGA 16-bit RGB (without alpha bit) is also valid
  * Heap buffer overflow in PSP importer (CVE-2017-17789) (Closes: #884837)
  * heap overread in gbr parser / load_image (CVE-2017-17784)
    (Closes: #884925)
  * heap overread in psp importer (CVE-2017-17787) (Closes: #884927)
  * Heap overflow while parsing FLI files (CVE-2017-17785) (Closes: #884836)
  * buffer overread in XCF parser if version field has no null terminator
    (CVE-2017-17788) (Closes: #885347)

ubuntu/trusty-updates 2018-01-22 17:53:20 UTC 2018-01-22
Import patches-unapplied version 2.8.10-0ubuntu1.2 to ubuntu/trusty-security

Author: Leonidas S. Barbosa
Author Date: 2018-01-18 16:03:13 UTC

Import patches-unapplied version 2.8.10-0ubuntu1.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: a157f9e1c80c491e162cc54475cfe74e8b83f0c8

New changelog entries:
  * SECURITY UPDATE: Heap-buffer over-read in load_image file-gbr.c
    - debian/patches/CVE-2017-17784.patch: fix in plug-ins/common/file-gbr.c.
    - CVE-2017-17784
  * SECURITY UPDATE: Heap-based buffer overflow in fli_read_brun function
    - debian/patches/CVE-2017-17785.patch: fix in plug-ins/file-fli/fli.c.
    - CVE-2017-17785
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2017-17786.patch: fix in plug-ins/common/file-tga.c.
    - CVE-2017-17786
  * SECURITY UPDATE: Heap-based buffer over-read in read_creator_block
    - debian/patches/CVE-2017-17787.patch: fix in plug-ins/common/file-psp.c.
    - CVE-2017-17787
  * SECURITY UPDATE: Stack-based buffer over-read in xcf_load_stream
    - debian/patches/CVE-2017-17788.patch: fix in app/xcf/xcf.c.
    - CVE-2017-17788
  * SECURITY UPDATE: Heap-based buffer overflow in read_channel_data
    - debian/patches/CVE-2017-17789.patch: fix in plug-ins/common/file-psp.c.
    - CVE-2017-17789

ubuntu/trusty-devel 2018-01-22 17:53:20 UTC 2018-01-22
Import patches-unapplied version 2.8.10-0ubuntu1.2 to ubuntu/trusty-security

Author: Leonidas S. Barbosa
Author Date: 2018-01-18 16:03:13 UTC

Import patches-unapplied version 2.8.10-0ubuntu1.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: a157f9e1c80c491e162cc54475cfe74e8b83f0c8

New changelog entries:
  * SECURITY UPDATE: Heap-buffer over-read in load_image file-gbr.c
    - debian/patches/CVE-2017-17784.patch: fix in plug-ins/common/file-gbr.c.
    - CVE-2017-17784
  * SECURITY UPDATE: Heap-based buffer overflow in fli_read_brun function
    - debian/patches/CVE-2017-17785.patch: fix in plug-ins/file-fli/fli.c.
    - CVE-2017-17785
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2017-17786.patch: fix in plug-ins/common/file-tga.c.
    - CVE-2017-17786
  * SECURITY UPDATE: Heap-based buffer over-read in read_creator_block
    - debian/patches/CVE-2017-17787.patch: fix in plug-ins/common/file-psp.c.
    - CVE-2017-17787
  * SECURITY UPDATE: Stack-based buffer over-read in xcf_load_stream
    - debian/patches/CVE-2017-17788.patch: fix in app/xcf/xcf.c.
    - CVE-2017-17788
  * SECURITY UPDATE: Heap-based buffer overflow in read_channel_data
    - debian/patches/CVE-2017-17789.patch: fix in plug-ins/common/file-psp.c.
    - CVE-2017-17789

ubuntu/trusty-security 2018-01-22 17:53:20 UTC 2018-01-22
Import patches-unapplied version 2.8.10-0ubuntu1.2 to ubuntu/trusty-security

Author: Leonidas S. Barbosa
Author Date: 2018-01-18 16:03:13 UTC

Import patches-unapplied version 2.8.10-0ubuntu1.2 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: a157f9e1c80c491e162cc54475cfe74e8b83f0c8

New changelog entries:
  * SECURITY UPDATE: Heap-buffer over-read in load_image file-gbr.c
    - debian/patches/CVE-2017-17784.patch: fix in plug-ins/common/file-gbr.c.
    - CVE-2017-17784
  * SECURITY UPDATE: Heap-based buffer overflow in fli_read_brun function
    - debian/patches/CVE-2017-17785.patch: fix in plug-ins/file-fli/fli.c.
    - CVE-2017-17785
  * SECURITY UPDATE: Out of bounds read
    - debian/patches/CVE-2017-17786.patch: fix in plug-ins/common/file-tga.c.
    - CVE-2017-17786
  * SECURITY UPDATE: Heap-based buffer over-read in read_creator_block
    - debian/patches/CVE-2017-17787.patch: fix in plug-ins/common/file-psp.c.
    - CVE-2017-17787
  * SECURITY UPDATE: Stack-based buffer over-read in xcf_load_stream
    - debian/patches/CVE-2017-17788.patch: fix in app/xcf/xcf.c.
    - CVE-2017-17788
  * SECURITY UPDATE: Heap-based buffer overflow in read_channel_data
    - debian/patches/CVE-2017-17789.patch: fix in plug-ins/common/file-psp.c.
    - CVE-2017-17789

ubuntu/zesty-proposed 2017-03-05 04:13:20 UTC 2017-03-05
Import patches-unapplied version 2.8.20-1 to debian/sid

Author: Ari Pollak
Author Date: 2017-03-04 21:15:02 UTC

Import patches-unapplied version 2.8.20-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c59b3c05df1054608cd8dee43d56993f887a9699

New changelog entries:
  * New upstream version 2.8.20

ubuntu/artful 2017-03-05 04:13:20 UTC 2017-03-05
Import patches-unapplied version 2.8.20-1 to debian/sid

Author: Ari Pollak
Author Date: 2017-03-04 21:15:02 UTC

Import patches-unapplied version 2.8.20-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c59b3c05df1054608cd8dee43d56993f887a9699

New changelog entries:
  * New upstream version 2.8.20

ubuntu/artful-devel 2017-03-05 04:13:20 UTC 2017-03-05
Import patches-unapplied version 2.8.20-1 to debian/sid

Author: Ari Pollak
Author Date: 2017-03-04 21:15:02 UTC

Import patches-unapplied version 2.8.20-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c59b3c05df1054608cd8dee43d56993f887a9699

New changelog entries:
  * New upstream version 2.8.20

ubuntu/zesty 2017-03-05 04:13:20 UTC 2017-03-05
Import patches-unapplied version 2.8.20-1 to debian/sid

Author: Ari Pollak
Author Date: 2017-03-04 21:15:02 UTC

Import patches-unapplied version 2.8.20-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c59b3c05df1054608cd8dee43d56993f887a9699

New changelog entries:
  * New upstream version 2.8.20

ubuntu/zesty-devel 2017-03-05 04:13:20 UTC 2017-03-05
Import patches-unapplied version 2.8.20-1 to debian/sid

Author: Ari Pollak
Author Date: 2017-03-04 21:15:02 UTC

Import patches-unapplied version 2.8.20-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: c59b3c05df1054608cd8dee43d56993f887a9699

New changelog entries:
  * New upstream version 2.8.20

ubuntu/yakkety 2016-09-12 04:12:08 UTC 2016-09-12
Import patches-unapplied version 2.8.18-1 to debian/sid

Author: Ari Pollak
Author Date: 2016-07-14 23:46:43 UTC

Import patches-unapplied version 2.8.18-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9c4a9c49092f443c104243a3105c957fe99e83b2

New changelog entries:
  * Imported Upstream version 2.8.18 (Closes: #820207)
  * Build with full set of hardening flags, including PIE
  * Update standards version
  * Update debhelper version

ubuntu/yakkety-proposed 2016-09-12 04:12:08 UTC 2016-09-12
Import patches-unapplied version 2.8.18-1 to debian/sid

Author: Ari Pollak
Author Date: 2016-07-14 23:46:43 UTC

Import patches-unapplied version 2.8.18-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9c4a9c49092f443c104243a3105c957fe99e83b2

New changelog entries:
  * Imported Upstream version 2.8.18 (Closes: #820207)
  * Build with full set of hardening flags, including PIE
  * Update standards version
  * Update debhelper version

ubuntu/yakkety-devel 2016-09-12 04:12:08 UTC 2016-09-12
Import patches-unapplied version 2.8.18-1 to debian/sid

Author: Ari Pollak
Author Date: 2016-07-14 23:46:43 UTC

Import patches-unapplied version 2.8.18-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 9c4a9c49092f443c104243a3105c957fe99e83b2

New changelog entries:
  * Imported Upstream version 2.8.18 (Closes: #820207)
  * Build with full set of hardening flags, including PIE
  * Update standards version
  * Update debhelper version

ubuntu/wily-devel 2016-07-05 17:14:00 UTC 2016-07-05
Import patches-unapplied version 2.8.14-1ubuntu2.1 to ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:40:58 UTC

Import patches-unapplied version 2.8.14-1ubuntu2.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: 3c36b9dea9869429852624063daa38b6032c421e

New changelog entries:
  * SECURITY UPDATE: multiple issues in XCF channel and layer properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointers in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/wily-security 2016-07-05 17:14:00 UTC 2016-07-05
Import patches-unapplied version 2.8.14-1ubuntu2.1 to ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:40:58 UTC

Import patches-unapplied version 2.8.14-1ubuntu2.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: 3c36b9dea9869429852624063daa38b6032c421e

New changelog entries:
  * SECURITY UPDATE: multiple issues in XCF channel and layer properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointers in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/precise-updates 2016-07-05 17:14:00 UTC 2016-07-05
Import patches-unapplied version 2.6.12-1ubuntu1.4 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:46:16 UTC

Import patches-unapplied version 2.6.12-1ubuntu1.4 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: fde90bfe625e7fad51924b99eaba1c461da1fc23

New changelog entries:
  * SECURITY UPDATE: issue in XCF channel properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointer in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/precise-security 2016-07-05 17:14:00 UTC 2016-07-05
Import patches-unapplied version 2.6.12-1ubuntu1.4 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:46:16 UTC

Import patches-unapplied version 2.6.12-1ubuntu1.4 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: fde90bfe625e7fad51924b99eaba1c461da1fc23

New changelog entries:
  * SECURITY UPDATE: issue in XCF channel properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointer in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/wily-updates 2016-07-05 17:14:00 UTC 2016-07-05
Import patches-unapplied version 2.8.14-1ubuntu2.1 to ubuntu/wily-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:40:58 UTC

Import patches-unapplied version 2.8.14-1ubuntu2.1 to ubuntu/wily-security

Imported using git-ubuntu import.

Changelog parent: 3c36b9dea9869429852624063daa38b6032c421e

New changelog entries:
  * SECURITY UPDATE: multiple issues in XCF channel and layer properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointers in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/precise-devel 2016-07-05 17:14:00 UTC 2016-07-05
Import patches-unapplied version 2.6.12-1ubuntu1.4 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:46:16 UTC

Import patches-unapplied version 2.6.12-1ubuntu1.4 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: fde90bfe625e7fad51924b99eaba1c461da1fc23

New changelog entries:
  * SECURITY UPDATE: issue in XCF channel properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointer in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/xenial-security 2016-07-05 13:42:12 UTC 2016-07-05
Import patches-unapplied version 2.8.16-1ubuntu1.1 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:40:34 UTC

Import patches-unapplied version 2.8.16-1ubuntu1.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: b94ece55f8f59741f1cd3db4d1fa5db80d2df2c0

New changelog entries:
  * SECURITY UPDATE: multiple issues in XCF channel and layer properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointers in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/xenial-devel 2016-07-05 13:42:12 UTC 2016-07-05
Import patches-unapplied version 2.8.16-1ubuntu1.1 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:40:34 UTC

Import patches-unapplied version 2.8.16-1ubuntu1.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: b94ece55f8f59741f1cd3db4d1fa5db80d2df2c0

New changelog entries:
  * SECURITY UPDATE: multiple issues in XCF channel and layer properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointers in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/xenial-updates 2016-07-05 13:42:12 UTC 2016-07-05
Import patches-unapplied version 2.8.16-1ubuntu1.1 to ubuntu/xenial-security

Author: Marc Deslauriers
Author Date: 2016-06-30 16:40:34 UTC

Import patches-unapplied version 2.8.16-1ubuntu1.1 to ubuntu/xenial-security

Imported using git-ubuntu import.

Changelog parent: b94ece55f8f59741f1cd3db4d1fa5db80d2df2c0

New changelog entries:
  * SECURITY UPDATE: multiple issues in XCF channel and layer properties
    - debian/patches/CVE-2016-4994.patch: properly clear pointers in
      app/xcf/xcf-load.c.
    - CVE-2016-4994

ubuntu/xenial-proposed 2015-12-21 19:18:56 UTC 2015-12-21
Import patches-unapplied version 2.8.16-1ubuntu1 to ubuntu/xenial-proposed

Author: Jackson Doak
Author Date: 2015-12-19 19:56:48 UTC

Import patches-unapplied version 2.8.16-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 0c55ae140aec51cbc009750f183dfebecc371d21

New changelog entries:
  * Merge from Debian unstable. (LP: #1527919) Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu.
    - debian/rules:
      + Set gettext domain and update translation templates.

ubuntu/xenial 2015-12-21 19:18:56 UTC 2015-12-21
Import patches-unapplied version 2.8.16-1ubuntu1 to ubuntu/xenial-proposed

Author: Jackson Doak
Author Date: 2015-12-19 19:56:48 UTC

Import patches-unapplied version 2.8.16-1ubuntu1 to ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: 0c55ae140aec51cbc009750f183dfebecc371d21

New changelog entries:
  * Merge from Debian unstable. (LP: #1527919) Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu.
    - debian/rules:
      + Set gettext domain and update translation templates.

ubuntu/wily-proposed 2015-07-22 21:58:52 UTC 2015-07-22
Import patches-unapplied version 2.8.14-1ubuntu2 to ubuntu/wily-proposed

Author: Jackson Doak
Author Date: 2015-07-21 21:06:59 UTC

Import patches-unapplied version 2.8.14-1ubuntu2 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5126c8aadae415a9b48a6c8dc52ff0e5b8bda7c9

New changelog entries:
  * debian/control:
    - Bump build-depends on libgegl-dev
  * debian/patches/04_gegl-0.3.patch:
    - Use gegl-0.3

ubuntu/wily 2015-07-22 21:58:52 UTC 2015-07-22
Import patches-unapplied version 2.8.14-1ubuntu2 to ubuntu/wily-proposed

Author: Jackson Doak
Author Date: 2015-07-21 21:06:59 UTC

Import patches-unapplied version 2.8.14-1ubuntu2 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5126c8aadae415a9b48a6c8dc52ff0e5b8bda7c9

New changelog entries:
  * debian/control:
    - Bump build-depends on libgegl-dev
  * debian/patches/04_gegl-0.3.patch:
    - Use gegl-0.3

ubuntu/vivid-proposed 2014-11-12 13:33:34 UTC 2014-11-12
Import patches-unapplied version 2.8.14-1ubuntu1 to ubuntu/vivid-proposed

Author: Artur Rona
Author Date: 2014-11-11 21:03:15 UTC

Import patches-unapplied version 2.8.14-1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 388f060b17f73add60f70c0b0cd57534e914bc9c

New changelog entries:
  * Merge from Debian unstable. (LP: #1366560) Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu.
    - debian/rules:
      + Set gettext domain and update translation templates.
  * Drop following patches, fixed upstream:
    - CVE-2013-1913.patch
    - CVE-2013-1978.patch
    - freetype-251.patch

ubuntu/vivid 2014-11-12 13:33:34 UTC 2014-11-12
Import patches-unapplied version 2.8.14-1ubuntu1 to ubuntu/vivid-proposed

Author: Artur Rona
Author Date: 2014-11-11 21:03:15 UTC

Import patches-unapplied version 2.8.14-1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 388f060b17f73add60f70c0b0cd57534e914bc9c

New changelog entries:
  * Merge from Debian unstable. (LP: #1366560) Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu.
    - debian/rules:
      + Set gettext domain and update translation templates.
  * Drop following patches, fixed upstream:
    - CVE-2013-1913.patch
    - CVE-2013-1978.patch
    - freetype-251.patch

ubuntu/vivid-devel 2014-11-12 13:33:34 UTC 2014-11-12
Import patches-unapplied version 2.8.14-1ubuntu1 to ubuntu/vivid-proposed

Author: Artur Rona
Author Date: 2014-11-11 21:03:15 UTC

Import patches-unapplied version 2.8.14-1ubuntu1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 388f060b17f73add60f70c0b0cd57534e914bc9c

New changelog entries:
  * Merge from Debian unstable. (LP: #1366560) Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu.
    - debian/rules:
      + Set gettext domain and update translation templates.
  * Drop following patches, fixed upstream:
    - CVE-2013-1913.patch
    - CVE-2013-1978.patch
    - freetype-251.patch

debian/squeeze 2014-02-15 16:43:45 UTC 2014-02-15
Import patches-unapplied version 2.6.10-1+squeeze4 to debian/squeeze

Author: Moritz Muehlenhoff
Author Date: 2013-12-05 19:51:27 UTC

Import patches-unapplied version 2.6.10-1+squeeze4 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 9ef12ef3d8d8c98df8e21d3c5badbe139a2452d6

New changelog entries:
  * CVE-2012-3403 CVE-2012-3481 CVE-2012-5576
  * CVE-2013-1913 CVE-2013-1978

applied/debian/squeeze 2014-02-15 16:43:45 UTC 2014-02-15
Import patches-applied version 2.6.10-1+squeeze4 to applied/debian/squeeze

Author: Moritz Muehlenhoff
Author Date: 2013-12-05 19:51:27 UTC

Import patches-applied version 2.6.10-1+squeeze4 to applied/debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 83e89d0b34458e44348bfb0745fab3aeb2533dba
Unapplied parent: acc29e3af26f6b0a7193a3d3fd8edc2a2a6f2c6c

New changelog entries:
  * CVE-2012-3403 CVE-2012-3481 CVE-2012-5576
  * CVE-2013-1913 CVE-2013-1978

debian/wheezy 2014-02-08 16:38:57 UTC 2014-02-08
Import patches-unapplied version 2.8.2-2+deb7u1 to debian/wheezy

Author: Moritz Muehlenhoff
Author Date: 2013-12-05 19:45:50 UTC

Import patches-unapplied version 2.8.2-2+deb7u1 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: c977f1d01864722ca548462b33c38c6ae298fdcc

New changelog entries:
  * CVE-2013-1913 CVE-2013-1978

applied/debian/wheezy 2014-02-08 16:38:57 UTC 2014-02-08
Import patches-applied version 2.8.2-2+deb7u1 to applied/debian/wheezy

Author: Moritz Muehlenhoff
Author Date: 2013-12-05 19:45:50 UTC

Import patches-applied version 2.8.2-2+deb7u1 to applied/debian/wheezy

Imported using git-ubuntu import.

Changelog parent: 4042e3da716a6cc30a7f811325db672b4a9dc599
Unapplied parent: 614035291a1646cb27ccf371043aca881e4e0a8a

New changelog entries:
  * CVE-2013-1913 CVE-2013-1978

ubuntu/trusty-proposed 2014-01-16 10:13:20 UTC 2014-01-16
Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Author: Sebastien Bacher
Author Date: 2014-01-16 09:52:27 UTC

Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 6492550b03cb808487024570ff84ceff16f7d405

New changelog entries:
  * New upstream version
  * debian/patches/lcms2.patch:
    - dropped, the new version has support for the new lcms
  * debian/rules:
    - use --with-lcms=lcms2

ubuntu/utopic-devel 2014-01-16 10:13:20 UTC 2014-01-16
Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Author: Sebastien Bacher
Author Date: 2014-01-16 09:52:27 UTC

Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 6492550b03cb808487024570ff84ceff16f7d405

New changelog entries:
  * New upstream version
  * debian/patches/lcms2.patch:
    - dropped, the new version has support for the new lcms
  * debian/rules:
    - use --with-lcms=lcms2

ubuntu/trusty 2014-01-16 10:13:20 UTC 2014-01-16
Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Author: Sebastien Bacher
Author Date: 2014-01-16 09:52:27 UTC

Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 6492550b03cb808487024570ff84ceff16f7d405

New changelog entries:
  * New upstream version
  * debian/patches/lcms2.patch:
    - dropped, the new version has support for the new lcms
  * debian/rules:
    - use --with-lcms=lcms2

ubuntu/utopic 2014-01-16 10:13:20 UTC 2014-01-16
Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Author: Sebastien Bacher
Author Date: 2014-01-16 09:52:27 UTC

Import patches-unapplied version 2.8.10-0ubuntu1 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 6492550b03cb808487024570ff84ceff16f7d405

New changelog entries:
  * New upstream version
  * debian/patches/lcms2.patch:
    - dropped, the new version has support for the new lcms
  * debian/rules:
    - use --with-lcms=lcms2

ubuntu/saucy-devel 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.6-1ubuntu1.1 to ubuntu/saucy-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:25:46 UTC

Import patches-unapplied version 2.8.6-1ubuntu1.1 to ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: 9a8cdcd3443f0fad660288ac2dcffb9fd9e307f7

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/quantal-updates 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.2-1ubuntu1.2 to ubuntu/quantal-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:27:24 UTC

Import patches-unapplied version 2.8.2-1ubuntu1.2 to ubuntu/quantal-security

Imported using git-ubuntu import.

Changelog parent: 04ec9e8ba98c1afc46a50ccff049830005c60513

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/saucy-security 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.6-1ubuntu1.1 to ubuntu/saucy-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:25:46 UTC

Import patches-unapplied version 2.8.6-1ubuntu1.1 to ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: 9a8cdcd3443f0fad660288ac2dcffb9fd9e307f7

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/raring-security 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.4-1ubuntu1.1 to ubuntu/raring-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:26:35 UTC

Import patches-unapplied version 2.8.4-1ubuntu1.1 to ubuntu/raring-security

Imported using git-ubuntu import.

Changelog parent: bcdd3dafa96e3655a3f4a3e1b5a9e34231834d8d

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/raring-devel 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.4-1ubuntu1.1 to ubuntu/raring-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:26:35 UTC

Import patches-unapplied version 2.8.4-1ubuntu1.1 to ubuntu/raring-security

Imported using git-ubuntu import.

Changelog parent: bcdd3dafa96e3655a3f4a3e1b5a9e34231834d8d

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/saucy-updates 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.6-1ubuntu1.1 to ubuntu/saucy-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:25:46 UTC

Import patches-unapplied version 2.8.6-1ubuntu1.1 to ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: 9a8cdcd3443f0fad660288ac2dcffb9fd9e307f7

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/quantal-security 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.2-1ubuntu1.2 to ubuntu/quantal-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:27:24 UTC

Import patches-unapplied version 2.8.2-1ubuntu1.2 to ubuntu/quantal-security

Imported using git-ubuntu import.

Changelog parent: 04ec9e8ba98c1afc46a50ccff049830005c60513

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/quantal-devel 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.2-1ubuntu1.2 to ubuntu/quantal-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:27:24 UTC

Import patches-unapplied version 2.8.2-1ubuntu1.2 to ubuntu/quantal-security

Imported using git-ubuntu import.

Changelog parent: 04ec9e8ba98c1afc46a50ccff049830005c60513

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/raring-updates 2013-12-09 12:58:17 UTC 2013-12-09
Import patches-unapplied version 2.8.4-1ubuntu1.1 to ubuntu/raring-security

Author: Marc Deslauriers
Author Date: 2013-12-06 18:26:35 UTC

Import patches-unapplied version 2.8.4-1ubuntu1.1 to ubuntu/raring-security

Imported using git-ubuntu import.

Changelog parent: bcdd3dafa96e3655a3f4a3e1b5a9e34231834d8d

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    huge color maps in xwd plugin
    - debian/patches/CVE-2013-1913.patch: limit number of color map entries
      in plug-ins/common/file-xwd.c.
    - CVE-2013-1913
  * SECURITY UPDATE: denial of service and possible code execution via
    large number of color map entries in xwd plugin
    - debian/patches/CVE-2013-1978.patch: validate number of color map
      entries in plug-ins/common/file-xwd.c
    - CVE-2013-1978

ubuntu/saucy-proposed 2013-08-29 11:13:24 UTC 2013-08-29
Import patches-unapplied version 2.8.6-1ubuntu1 to ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-08-29 10:48:19 UTC

Import patches-unapplied version 2.8.6-1ubuntu1 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: c3b759309d2eb8413cf3dbca12249873f40e552d

New changelog entries:
  * Synchronize with Debian (LP: #1207734). Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates

ubuntu/saucy 2013-08-29 11:13:24 UTC 2013-08-29
Import patches-unapplied version 2.8.6-1ubuntu1 to ubuntu/saucy-proposed

Author: Sebastien Bacher
Author Date: 2013-08-29 10:48:19 UTC

Import patches-unapplied version 2.8.6-1ubuntu1 to ubuntu/saucy-proposed

Imported using git-ubuntu import.

Changelog parent: c3b759309d2eb8413cf3dbca12249873f40e552d

New changelog entries:
  * Synchronize with Debian (LP: #1207734). Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates

ubuntu/raring 2013-03-11 12:03:13 UTC 2013-03-11
Import patches-unapplied version 2.8.4-1ubuntu1 to ubuntu/raring-proposed

Author: Jeremy Bicha
Author Date: 2013-03-08 18:26:03 UTC

Import patches-unapplied version 2.8.4-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 1aa9edd6145929a1a2401a3aa56c9eda57d482df

New changelog entries:
  * Synchronize with Debian (LP: #1132767). Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates
  * Dropped changes:
    - CVE-2012-5576.patch: Applied in new version
    - fix-python-multiarch-includes.patch: No longer needed
  * debian/patches/link-against-lm.patch:
    - Link against lm to fix underlinking build failure
  * debian/control, debian/rules:
    - Run autoreconf for above patch

ubuntu/raring-proposed 2013-03-11 12:03:13 UTC 2013-03-11
Import patches-unapplied version 2.8.4-1ubuntu1 to ubuntu/raring-proposed

Author: Jeremy Bicha
Author Date: 2013-03-08 18:26:03 UTC

Import patches-unapplied version 2.8.4-1ubuntu1 to ubuntu/raring-proposed

Imported using git-ubuntu import.

Changelog parent: 1aa9edd6145929a1a2401a3aa56c9eda57d482df

New changelog entries:
  * Synchronize with Debian (LP: #1132767). Remaining changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates
  * Dropped changes:
    - CVE-2012-5576.patch: Applied in new version
    - fix-python-multiarch-includes.patch: No longer needed
  * debian/patches/link-against-lm.patch:
    - Link against lm to fix underlinking build failure
  * debian/control, debian/rules:
    - Run autoreconf for above patch

ubuntu/oneiric-devel 2012-12-10 14:33:15 UTC 2012-12-10
Import patches-unapplied version 2.6.11-2ubuntu4.2 to ubuntu/oneiric-security

Author: Marc Deslauriers
Author Date: 2012-12-06 18:33:56 UTC

Import patches-unapplied version 2.6.11-2ubuntu4.2 to ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: 07788667dc27ae1c690066a203f175b1b43132e9

New changelog entries:
  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

ubuntu/lucid-devel 2012-12-10 14:33:15 UTC 2012-12-10
Import patches-unapplied version 2.6.8-2ubuntu1.6 to ubuntu/lucid-security

Author: Marc Deslauriers
Author Date: 2012-12-06 18:36:06 UTC

Import patches-unapplied version 2.6.8-2ubuntu1.6 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: f15a47bcf9a2ca8b6bd9b2e4a3cab47f7e63a549

New changelog entries:
  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/13_CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

ubuntu/lucid-updates 2012-12-10 14:33:15 UTC 2012-12-10
Import patches-unapplied version 2.6.8-2ubuntu1.6 to ubuntu/lucid-security

Author: Marc Deslauriers
Author Date: 2012-12-06 18:36:06 UTC

Import patches-unapplied version 2.6.8-2ubuntu1.6 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: f15a47bcf9a2ca8b6bd9b2e4a3cab47f7e63a549

New changelog entries:
  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/13_CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

ubuntu/lucid-security 2012-12-10 14:33:15 UTC 2012-12-10
Import patches-unapplied version 2.6.8-2ubuntu1.6 to ubuntu/lucid-security

Author: Marc Deslauriers
Author Date: 2012-12-06 18:36:06 UTC

Import patches-unapplied version 2.6.8-2ubuntu1.6 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: f15a47bcf9a2ca8b6bd9b2e4a3cab47f7e63a549

New changelog entries:
  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/13_CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

ubuntu/oneiric-security 2012-12-10 14:33:15 UTC 2012-12-10
Import patches-unapplied version 2.6.11-2ubuntu4.2 to ubuntu/oneiric-security

Author: Marc Deslauriers
Author Date: 2012-12-06 18:33:56 UTC

Import patches-unapplied version 2.6.11-2ubuntu4.2 to ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: 07788667dc27ae1c690066a203f175b1b43132e9

New changelog entries:
  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

ubuntu/oneiric-updates 2012-12-10 14:33:15 UTC 2012-12-10
Import patches-unapplied version 2.6.11-2ubuntu4.2 to ubuntu/oneiric-security

Author: Marc Deslauriers
Author Date: 2012-12-06 18:33:56 UTC

Import patches-unapplied version 2.6.11-2ubuntu4.2 to ubuntu/oneiric-security

Imported using git-ubuntu import.

Changelog parent: 07788667dc27ae1c690066a203f175b1b43132e9

New changelog entries:
  * SECURITY UPDATE: code execution via malformed xwd files
    - debian/patches/CVE-2012-5576.patch: validate sizes in
      plug-ins/common/file-xwd.c.
    - CVE-2012-5576

ubuntu/quantal 2012-09-19 06:34:03 UTC 2012-09-19
Import patches-unapplied version 2.8.2-1ubuntu1 to ubuntu/quantal

Author: Robert Ancell
Author Date: 2012-09-19 05:16:47 UTC

Import patches-unapplied version 2.8.2-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 2d3e2683c5769a54f5087bacadad5481af963411

New changelog entries:
  * Merge from Debian unstable (LP: #1050831). Remaining Ubuntu changes:
  * debian/control:
    - Update description
    - Build-depend on libtiff-dev instead of libtiff4-dev.
  * debian/rules:
    - Set gettext domain and update translation templates
  * debian/patches/02_help-message.patch:
  * debian/patches/03_gimp.desktop.in.in.patch:
    - Update some strings for Ubuntu

ubuntu/natty-security 2012-09-10 12:33:12 UTC 2012-09-10
Import patches-unapplied version 2.6.11-1ubuntu6.3 to ubuntu/natty-security

Author: Marc Deslauriers
Author Date: 2012-09-05 19:45:26 UTC

Import patches-unapplied version 2.6.11-1ubuntu6.3 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: a125762809ad5249b1fa0c1c9023c22d9c70bae5

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed .fit file header
    - debian/patches/CVE-2012-3236.patch: check for valid XTENSION header
      in plug-ins/file-fits/fits-io.c.
    - CVE-2012-3236
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted KiSS palette file
    - debian/patches/CVE-2012-3403.patch: validate return codes and header
      data in plug-ins/common/file-cel.c.
    - CVE-2012-3403
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted GIF image file
    - debian/patches/CVE-2012-3481.patch: validate sizes, and prevent
      overflows in plug-ins/common/file-gif-load.c.
    - CVE-2012-3481

ubuntu/natty-updates 2012-09-10 12:33:12 UTC 2012-09-10
Import patches-unapplied version 2.6.11-1ubuntu6.3 to ubuntu/natty-security

Author: Marc Deslauriers
Author Date: 2012-09-05 19:45:26 UTC

Import patches-unapplied version 2.6.11-1ubuntu6.3 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: a125762809ad5249b1fa0c1c9023c22d9c70bae5

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed .fit file header
    - debian/patches/CVE-2012-3236.patch: check for valid XTENSION header
      in plug-ins/file-fits/fits-io.c.
    - CVE-2012-3236
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted KiSS palette file
    - debian/patches/CVE-2012-3403.patch: validate return codes and header
      data in plug-ins/common/file-cel.c.
    - CVE-2012-3403
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted GIF image file
    - debian/patches/CVE-2012-3481.patch: validate sizes, and prevent
      overflows in plug-ins/common/file-gif-load.c.
    - CVE-2012-3481

ubuntu/natty-devel 2012-09-10 12:33:12 UTC 2012-09-10
Import patches-unapplied version 2.6.11-1ubuntu6.3 to ubuntu/natty-security

Author: Marc Deslauriers
Author Date: 2012-09-05 19:45:26 UTC

Import patches-unapplied version 2.6.11-1ubuntu6.3 to ubuntu/natty-security

Imported using git-ubuntu import.

Changelog parent: a125762809ad5249b1fa0c1c9023c22d9c70bae5

New changelog entries:
  * SECURITY UPDATE: denial of service via malformed .fit file header
    - debian/patches/CVE-2012-3236.patch: check for valid XTENSION header
      in plug-ins/file-fits/fits-io.c.
    - CVE-2012-3236
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted KiSS palette file
    - debian/patches/CVE-2012-3403.patch: validate return codes and header
      data in plug-ins/common/file-cel.c.
    - CVE-2012-3403
  * SECURITY UPDATE: denial of service and possible code execution via
    crafted GIF image file
    - debian/patches/CVE-2012-3481.patch: validate sizes, and prevent
      overflows in plug-ins/common/file-gif-load.c.
    - CVE-2012-3481

ubuntu/precise 2012-02-23 07:30:19 UTC 2012-02-23
Import patches-unapplied version 2.6.12-1ubuntu1 to ubuntu/precise

Author: Micah Gersten
Author Date: 2012-02-23 05:47:53 UTC

Import patches-unapplied version 2.6.12-1ubuntu1 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 87893cb96a85eeeee344a563551920e8082b0076

New changelog entries:
  * Merge from Debian unstable (LP: #925674). Remaining Changes:
    - debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      + Update some strings for Ubuntu
    - debian/patches/ghost-cursor.patch: fix Wacom tablet cursor events
    - debian/control:
      + Update description
    - debian/rules:
      + Set gettext domain and update translation templates
  * Drop poppler patch as it's been applied upstream
    - drop debian/patches/poppler0.18.patch
    - update debian/patches/series
  * fix LP: #680521 - Embed page setup dialog functionality in the print dialog
    - add debian/patches/embed-page-setup-dialog.patch
    - update debian/patches/series

ubuntu/oneiric 2011-09-26 21:05:40 UTC 2011-09-26
Import patches-unapplied version 2.6.11-2ubuntu4 to ubuntu/oneiric

Author: Marc Deslauriers
Author Date: 2011-09-21 13:59:51 UTC

Import patches-unapplied version 2.6.11-2ubuntu4 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: a1e41a22e8e993b5fbf5fbfa652f8e1dde5605e6

New changelog entries:
  * SECURITY UPDATE: possible arbitrary code execution via malformed GIF
    - debian/patches/09_CVE-2011-2896.patch: properly calculate lengths in
      plug-ins/common/file-gif-load.c.
    - CVE-2011-2896

ubuntu/maverick-updates 2011-09-22 15:10:54 UTC 2011-09-22
Import patches-unapplied version 2.6.10-1ubuntu3.4 to ubuntu/maverick-security

Author: Marc Deslauriers
Author Date: 2011-09-21 14:04:38 UTC

Import patches-unapplied version 2.6.10-1ubuntu3.4 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: c7cd07a65ba972608318d733001bb5fd4c706472

New changelog entries:
  * SECURITY UPDATE: possible arbitrary code execution via malformed GIF
    - debian/patches/09_CVE-2011-2896.patch: properly calculate lengths in
      plug-ins/common/file-gif-load.c.
    - CVE-2011-2896

ubuntu/maverick-security 2011-09-22 15:10:54 UTC 2011-09-22
Import patches-unapplied version 2.6.10-1ubuntu3.4 to ubuntu/maverick-security

Author: Marc Deslauriers
Author Date: 2011-09-21 14:04:38 UTC

Import patches-unapplied version 2.6.10-1ubuntu3.4 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: c7cd07a65ba972608318d733001bb5fd4c706472

New changelog entries:
  * SECURITY UPDATE: possible arbitrary code execution via malformed GIF
    - debian/patches/09_CVE-2011-2896.patch: properly calculate lengths in
      plug-ins/common/file-gif-load.c.
    - CVE-2011-2896

ubuntu/maverick-devel 2011-09-22 15:10:54 UTC 2011-09-22
Import patches-unapplied version 2.6.10-1ubuntu3.4 to ubuntu/maverick-security

Author: Marc Deslauriers
Author Date: 2011-09-21 14:04:38 UTC

Import patches-unapplied version 2.6.10-1ubuntu3.4 to ubuntu/maverick-security

Imported using git-ubuntu import.

Changelog parent: c7cd07a65ba972608318d733001bb5fd4c706472

New changelog entries:
  * SECURITY UPDATE: possible arbitrary code execution via malformed GIF
    - debian/patches/09_CVE-2011-2896.patch: properly calculate lengths in
      plug-ins/common/file-gif-load.c.
    - CVE-2011-2896

ubuntu/hardy-security 2011-04-13 13:15:55 UTC 2011-04-13
Import patches-unapplied version 2.4.5-1ubuntu2.3 to ubuntu/hardy-security

Author: Marc Deslauriers
Author Date: 2011-04-07 17:33:27 UTC

Import patches-unapplied version 2.4.5-1ubuntu2.3 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 4e1f54cc0bda317888b0ee01c6349d0706516476

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/05_security_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      Lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/06_security_CVE-2010-4543.patch: fix buffer overflow
      in plug-ins/common/psp.c.
    - CVE-2010-4543

ubuntu/karmic-devel 2011-04-13 13:15:55 UTC 2011-04-13
Import patches-unapplied version 2.6.7-1ubuntu1.2 to ubuntu/karmic-security

Author: Marc Deslauriers
Author Date: 2011-04-07 17:24:12 UTC

Import patches-unapplied version 2.6.7-1ubuntu1.2 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 3939da6a6ca0b537f599cf2505c861d982cf00b9

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/06_security_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/07_security_CVE-2010-4543.patch: fix buffer overflow
      in plug-ins/common/file-psp.c.
    - CVE-2010-4543

ubuntu/karmic-security 2011-04-13 13:15:55 UTC 2011-04-13
Import patches-unapplied version 2.6.7-1ubuntu1.2 to ubuntu/karmic-security

Author: Marc Deslauriers
Author Date: 2011-04-07 17:24:12 UTC

Import patches-unapplied version 2.6.7-1ubuntu1.2 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 3939da6a6ca0b537f599cf2505c861d982cf00b9

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/06_security_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/07_security_CVE-2010-4543.patch: fix buffer overflow
      in plug-ins/common/file-psp.c.
    - CVE-2010-4543

ubuntu/karmic-updates 2011-04-13 13:15:55 UTC 2011-04-13
Import patches-unapplied version 2.6.7-1ubuntu1.2 to ubuntu/karmic-security

Author: Marc Deslauriers
Author Date: 2011-04-07 17:24:12 UTC

Import patches-unapplied version 2.6.7-1ubuntu1.2 to ubuntu/karmic-security

Imported using git-ubuntu import.

Changelog parent: 3939da6a6ca0b537f599cf2505c861d982cf00b9

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/06_security_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/07_security_CVE-2010-4543.patch: fix buffer overflow
      in plug-ins/common/file-psp.c.
    - CVE-2010-4543

ubuntu/hardy-devel 2011-04-13 13:15:55 UTC 2011-04-13
Import patches-unapplied version 2.4.5-1ubuntu2.3 to ubuntu/hardy-security

Author: Marc Deslauriers
Author Date: 2011-04-07 17:33:27 UTC

Import patches-unapplied version 2.4.5-1ubuntu2.3 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 4e1f54cc0bda317888b0ee01c6349d0706516476

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/05_security_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      Lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/06_security_CVE-2010-4543.patch: fix buffer overflow
      in plug-ins/common/psp.c.
    - CVE-2010-4543

ubuntu/hardy-updates 2011-04-13 13:15:55 UTC 2011-04-13
Import patches-unapplied version 2.4.5-1ubuntu2.3 to ubuntu/hardy-security

Author: Marc Deslauriers
Author Date: 2011-04-07 17:33:27 UTC

Import patches-unapplied version 2.4.5-1ubuntu2.3 to ubuntu/hardy-security

Imported using git-ubuntu import.

Changelog parent: 4e1f54cc0bda317888b0ee01c6349d0706516476

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/05_security_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      Lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/06_security_CVE-2010-4543.patch: fix buffer overflow
      in plug-ins/common/psp.c.
    - CVE-2010-4543

ubuntu/natty 2011-04-07 21:04:36 UTC 2011-04-07
Import patches-unapplied version 2.6.11-1ubuntu6 to ubuntu/natty

Author: Marc Deslauriers
Author Date: 2011-04-07 14:40:22 UTC

Import patches-unapplied version 2.6.11-1ubuntu6 to ubuntu/natty

Imported using git-ubuntu import.

Changelog parent: 7de9de21c688a0dc460937a3b661534f7898d894

New changelog entries:
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed plugin configuration files
    - debian/patches/05_CVE-2010-454x.patch: fix format strings in
      plug-ins/{common/sphere-designer,gfig/gfig-style,
      lighting/lighting-ui}.c.
    - CVE-2010-4540
    - CVE-2010-4541
    - CVE-2010-4542
  * SECURITY UPDATE: denial of service and possible code execution via
    malformed PSP image file
    - debian/patches/06_CVE-2010-4543.patch: fix buffer overflow in
      plug-ins/common/file-psp.c.
    - CVE-2010-4543

ubuntu/maverick-proposed 2010-11-12 15:05:49 UTC 2010-11-12
Import patches-unapplied version 2.6.10-1ubuntu3.1 to ubuntu/maverick-proposed

Author: Bilal Akhtar
Author Date: 2010-11-10 22:39:24 UTC

Import patches-unapplied version 2.6.10-1ubuntu3.1 to ubuntu/maverick-proposed

Imported using git-ubuntu import.

Changelog parent: 54e05172b183c5424428ace3271c6e5154336214

New changelog entries:
  * debian/patches/01_add_missing_calls_to_cairo_surface_mark_dirty.patch:
    - Add missing calls to function cairo_surface_mark_dirty to fix the
      problem of prints and print previews coming up as blank pages.
      (LP: #636329)

ubuntu/maverick 2010-08-27 08:05:11 UTC 2010-08-27
Import patches-unapplied version 2.6.10-1ubuntu3 to ubuntu/maverick

Author: Robert Ancell
Author Date: 2010-08-27 02:11:20 UTC

Import patches-unapplied version 2.6.10-1ubuntu3 to ubuntu/maverick

Imported using git-ubuntu import.

Changelog parent: 1f8d28431f839c7b978053be578f34085996409c

New changelog entries:
  [ Sam L. ]
  * Changed the description in debian/control to be less confusing.
    (LP: #599785)

ubuntu/lucid-proposed 2010-04-29 06:05:20 UTC 2010-04-29
Import patches-unapplied version 2.6.8-2ubuntu1.1 to ubuntu/lucid-proposed

Author: Bhaskar Kandiyal
Author Date: 2010-04-13 11:39:23 UTC

Import patches-unapplied version 2.6.8-2ubuntu1.1 to ubuntu/lucid-proposed

Imported using git-ubuntu import.

Changelog parent: 2f42365beac72210697f2d6635b743970b35b328

New changelog entries:
  * debian/patches/04_gimp-statusbar.patch:
    + Fixes bug where some elements are not shown in the statusbar (LP: #537275)
      Origin: upstream commit 501c4f65f08c111df0654cb887d95c2c06e82710

ubuntu/lucid 2010-02-26 19:04:49 UTC 2010-02-26
Import patches-unapplied version 2.6.8-2ubuntu1 to ubuntu/lucid

Author: Didier Roche
Author Date: 2010-02-26 18:10:31 UTC

Import patches-unapplied version 2.6.8-2ubuntu1 to ubuntu/lucid

Imported using git-ubuntu import.

Changelog parent: c806b46b519d10d917e6fe3943bc436450c9ba7b

New changelog entries:
  * Merge with debian, remaining changes:
    + debian/patches/02_help-message.patch,
      debian/patches/03_gimp.desktop.in.in.patch:
      - updated some strings for ubuntu
    + debian/rules:
      - updated translation templates
    + debian/control:
      - set Vcs-Bzr url

ubuntu/intrepid-updates 2010-01-07 16:11:20 UTC 2010-01-07
Import patches-unapplied version 2.6.1-1ubuntu3.1 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2010-01-04 19:12:52 UTC

Import patches-unapplied version 2.6.1-1ubuntu3.1 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: d2519dde5e59e50590e392b700ff4ad777931987

New changelog entries:
  * SECURITY UPDATE: arbitrary code execution via crafted BMP file
    - debian/patches/04_security_CVE-2009-1570.patch: validate bit depths,
      width and height in plug-ins/file-bmp/bmp-read.c.
    - CVE-2009-1570
  * SECURITY UPDATE: arbitrary code execution via crafted PSD file
    - debian/patches/05_security_CVE-2009-3909.patch: protect against
      integer overflows in plug-ins/file-psd/{psd.h,psd-load.c}.
    - CVE-2009-3909

ubuntu/intrepid-devel 2010-01-07 16:11:20 UTC 2010-01-07
Import patches-unapplied version 2.6.1-1ubuntu3.1 to ubuntu/intrepid-security

Author: Marc Deslauriers
Author Date: 2010-01-04 19:12:52 UTC

Import patches-unapplied version 2.6.1-1ubuntu3.1 to ubuntu/intrepid-security

Imported using git-ubuntu import.

Changelog parent: d2519dde5e59e50590e392b700ff4ad777931987

New changelog entries:
  * SECURITY UPDATE: arbitrary code execution via crafted BMP file
    - debian/patches/04_security_CVE-2009-1570.patch: validate bit depths,
      width and height in plug-ins/file-bmp/bmp-read.c.
    - CVE-2009-1570
  * SECURITY UPDATE: arbitrary code execution via crafted PSD file
    - debian/patches/05_security_CVE-2009-3909.patch: protect against
      integer overflows in plug-ins/file-psd/{psd.h,psd-load.c}.
    - CVE-2009-3909

1100 of 150 results

Other repositories

Name Last Modified
lp:ubuntu/+source/gimp 2018-11-23
11 of 1 result
You can't create new repositories for gimp in Ubuntu.